Subject: bug#5113 closed by Chong Yidong <[email-masked]> (Re: bug#5113: handle shell escape characters (e.g. ESC [ 0) in emacs shell)

From: [email-masked] (Emacs bug Tracking System)
Date: Sat, 05 Dec 2009 21:10:07 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#5113: ansi-color-for-comint-mode-on on by default in shell-mode

It has been closed by Chong Yidong <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Chong Yidong <[email-masked]> by
replying to this email.

-- 
5113: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=5113
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#5113: handle shell escape characters (e.g. ESC [ 0) in emacs shell
From: Chong Yidong <[email-masked]>
To: Stefan Monnier <[email-masked]>
Cc: Glenn Morris <[email-masked]>, [email-masked], Praveen A <[email-masked]>
Date: Sat, 05 Dec 2009 16:05:49 -0500

> >> It seems that when 'ls' is invoked with --color, it output some
> >> escape sequences (e.g. ESC [ 0) that are not handled by shell-mode.
>
> > The Emacs manual and FAQ suggest
>
> >    (add-hook 'shell-mode-hook 'ansi-color-for-comint-mode-on)
>
> Any objection to enabling it by default?

I just enabled it by default in the repository.

Subject: handle shell escape characters (e.g. ESC [ 0) in emacs shell
From: Praveen A <[email-masked]>
To: [email-masked]
Date: Thu, 3 Dec 2009 14:47:12 +0530

Hi,
It seems that when 'ls' is invoked with --color, it output
some escape sequences (e.g. ESC [ 0) that are not handled by
shell-mode."
Ref http://debbugs.gnu.org/cgi/bugreport.cgi?bug=5080#80 point 2

It would be good if emacs shell can handle these escape characters --
even if color is not displayed, the escape characters should be
hidden.

Regards
Praveen
-- 
പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
<GPLv2> I know my rights; I want my phone call!
<DRM> What use is a phone call, if you are unable to speak?
(as seen on /.)
Join The DRM Elimination Crew Now!
http://fci.wikia.com/wiki/Anti-DRM-Campaign